import { useProofs } from '@credo-ts/react-hooks';
import { useMemo } from 'react';
import { ProofMetadata } from '../types/metadata';
export const useProofsByTemplateId = templateId => {
  const {
    records: proofs
  } = useProofs();
  return useMemo(() => proofs.filter(proof => {
    const metadata = proof === null || proof === void 0 ? void 0 : proof.metadata.get(ProofMetadata.customMetadata);
    if ((metadata === null || metadata === void 0 ? void 0 : metadata.proof_request_template_id) === templateId) {
      return proof;
    }
  }), [proofs, templateId]);
};
//# sourceMappingURL=proofs.js.map