import { AnonCredsProof } from '@credo-ts/anoncreds';
type AnonCredsProofIdentifier = AnonCredsProof['identifiers'][number];
export interface MissingAttribute {
    name: string;
}
export interface SharedAttribute {
    name: string;
    value: string;
    identifiers: AnonCredsProofIdentifier;
}
export interface SharedGroupedAttribute {
    name: string;
    value: string;
}
export interface SharedAttributesGroup {
    attributes: Array<SharedGroupedAttribute>;
    identifiers: AnonCredsProofIdentifier;
}
export interface ResolvedPredicate {
    name: string;
    predicateType: string;
    predicateValue: number;
    identifiers: AnonCredsProofIdentifier;
}
export interface UnresolvedPredicate {
    name: string;
    predicateType: string;
    predicateValue: number;
}
export declare class ParsedAnonCredsProof {
    sharedAttributes: Array<SharedAttribute>;
    sharedAttributeGroups: Array<SharedAttributesGroup>;
    resolvedPredicates: Array<ResolvedPredicate>;
    unresolvedAttributes: Array<MissingAttribute>;
    unresolvedAttributeGroups: Array<Array<MissingAttribute>>;
    unresolvedPredicates: Array<UnresolvedPredicate>;
    constructor();
}
export declare class CredentialSharedProofData {
    sharedAttributes: Array<SharedAttribute>;
    sharedAttributeGroups: Array<SharedAttributesGroup>;
    resolvedPredicates: Array<ResolvedPredicate>;
    constructor();
}
export type GroupedSharedProofDataItem = {
    data: CredentialSharedProofData;
    identifiers: AnonCredsProofIdentifier;
};
export type GroupedSharedProofData = Map<string, GroupedSharedProofDataItem>;
export {};
//# sourceMappingURL=proof.d.ts.map