import { AnonCredsRequestedAttribute, AnonCredsRequestedPredicate, LegacyIndyProofRequest } from '@credo-ts/anoncreds';
import { Agent, AgentMessage, ProofExchangeRecord } from '@credo-ts/core';
import { BifoldAgent } from '../types/agent';
import { ProofRequestTemplate } from '../types/proof-reqeust-template';
export declare const findProofRequestMessage: (agent: Agent, id: string) => Promise<LegacyIndyProofRequest | undefined>;
export declare const buildProofRequestDataForTemplate: (template: ProofRequestTemplate, customValues?: Record<string, Record<string, number>>) => {
    anoncreds: {
        name: string;
        version: string;
        nonce: string;
        requested_attributes: Record<string, AnonCredsRequestedAttribute>;
        requested_predicates: Record<string, AnonCredsRequestedPredicate>;
    };
} | {
    anoncreds?: undefined;
} | undefined;
export interface CreateProofRequestInvitationResult {
    request: AgentMessage;
    proofRecord: ProofExchangeRecord;
    invitation: AgentMessage;
    invitationUrl: string;
}
export declare const createConnectionlessProofRequestInvitation: (agent: BifoldAgent, template: ProofRequestTemplate, customPredicateValues?: Record<string, Record<string, number>>) => Promise<CreateProofRequestInvitationResult | undefined>;
export interface SendProofRequestResult {
    proofRecord: ProofExchangeRecord;
}
export declare const sendProofRequest: (agent: BifoldAgent, template: ProofRequestTemplate, connectionId: string, customPredicateValues?: Record<string, Record<string, number>>) => Promise<SendProofRequestResult | undefined>;
export declare const hasPredicates: (record: ProofRequestTemplate) => boolean;
export declare const isParameterizable: (record: ProofRequestTemplate) => boolean;
//# sourceMappingURL=proof-request.d.ts.map