import { AnonCredsProof, AnonCredsProofRequest } from '@credo-ts/anoncreds';
import { Agent, ProofExchangeRecord } from '@credo-ts/core';
import { BifoldAgent } from '../types/agent';
import { GroupedSharedProofData, ParsedAnonCredsProof } from '../types/proof';
export declare const getProofIdentifiers: (proof: AnonCredsProof, proofIndex: number) => {
    schema_id: string;
    cred_def_id: string;
    rev_reg_id?: string | undefined;
    timestamp?: number | undefined;
};
export declare const parseAnonCredsProof: (request: AnonCredsProofRequest, proof: AnonCredsProof) => ParsedAnonCredsProof;
export declare const groupSharedProofDataByCredential: (data: ParsedAnonCredsProof) => GroupedSharedProofData;
export declare const getProofData: (agent: BifoldAgent, recordId: string) => Promise<ParsedAnonCredsProof | undefined>;
export declare const isPresentationReceived: (record: ProofExchangeRecord) => boolean;
export declare const isPresentationFailed: (record: ProofExchangeRecord) => boolean;
export declare const markProofAsViewed: (agent: Agent, record: ProofExchangeRecord) => Promise<void>;
export declare const linkProofWithTemplate: (agent: Agent, record: ProofExchangeRecord, templateId: string) => Promise<void>;
//# sourceMappingURL=proof.d.ts.map